/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.sling.engine.impl.helper;

import javax.servlet.ServletContext;

import org.apache.felix.http.javaxwrappers.ServletContextWrapper;
import org.apache.sling.engine.impl.SlingHttpContext;
import org.osgi.service.component.annotations.Activate;
import org.osgi.service.component.annotations.Component;
import org.osgi.service.component.annotations.Reference;

/**
 * This class registers the deprecated {@link ServletContext} service for
 * Sling for backwards compatibility.
 * @deprecated Use {@link SlingServletContext} instead.
 */
@Component(
        service = ServletContext.class,
        property = {"name=" + SlingHttpContext.SERVLET_CONTEXT_NAME})
@Deprecated
public class SlingJavaxServletContext extends ServletContextWrapper {

    @Activate
    public SlingJavaxServletContext(
            @Reference(target = "(name=" + SlingHttpContext.SERVLET_CONTEXT_NAME + ")")
                    jakarta.servlet.ServletContext delegate) {
        super(delegate);
    }
}
